%define languageenglazy Occitan
%define languagecode    oc
%define lc_ctype        oc_FR

Name:           hunspell-%{languagecode}
Version:        0.5
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            https://addons.mozilla.org/en-US/firefox/addon/8235
Source0:        https://addons.mozilla.org/en-US/firefox/downloads/file/34604/occitan-languedocien-%{version}-fx+tb+sm.xpi

BuildRequires:  redland

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-oc
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
rdfproc hunspell-oc parse install.rdf
rdfproc hunspell-oc print | grep install-manifest | grep -v targetApplication | sed -e 's/.*#//' | sed -e 's/], "/: /'| sed -e 's/"}//' > CREDITS

%install
install -D -m 0644 -p dictionaries/oc-FR.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/oc-FR.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc CREDITS
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.5-7.mga2
+ Revision: 224799
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.5-6.mga2
+ Revision: 209039
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 0.5-5.mga2
+ Revision: 206285
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.5-4.mga1
+ Revision: 69009
- imported package hunspell-oc

